#
# spec file for package xfsprogs
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfsprogs
%if 0%{?suse_version} > 0
%if 0%{?suse_version} < 1100
BuildRequires:  e2fsprogs-devel
%else
BuildRequires:  libuuid-devel
%endif
%else
BuildRequires:  libuuid-devel
%endif
Version:        3.1.6
Release:        0
%if 0%{?suse_version} >= 1010
# hint for ZYPP
Supplements:    filesystem(xfs)
%endif
Url:            http://oss.sgi.com/projects/xfs/
Summary:        Utilities for managing the XFS file system
License:        GPL-2.0+
Group:          System/Filesystems
Source0:        xfsprogs-%{version}.tar.gz
Patch0:         xfsprogs-docdir.diff
Patch1:         xfsprogs-ppc64.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A set of commands to use the XFS file system, including mkfs.xfs.

XFS is a high performance journaling file system which originated on
the SGI IRIX platform.	It is completely multithreaded. It can support
large files and large file systems, extended attributes, and variable
block sizes.It is extent based and makes extensive use of Btrees
(directories, extents, and free space) to aid both performance and
scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/ for
complete details.  This implementation is on-disk compatible with the
IRIX version of XFS.

%package      devel
Requires:       xfsprogs = %version
Summary:        XFS Filesystem-specific Static Libraries and Headers
Group:          Development/Libraries/C and C++

%description devel
xfsprogs-devel contains the libraries and header files needed to
develop XFS file system-specific programs.

You should install xfsprogs-devel if you want to develop XFS file
system-specific programs.  If you install xfsprogs-devel, you will also
want to install xfsprogs.

%prep
%setup -q
%if 0%{?suse_version}
%patch0
%endif
%patch1

%build
export OPTIMIZER="-fPIC"
export DEBUG=-DNDEBUG
export LIBUUID=/usr/%{_lib}/libuuid.a
%configure
make %{?_smp_mflags}

%install
export DIST_ROOT="$RPM_BUILD_ROOT"
/usr/bin/make install
/usr/bin/make install-dev
# remove devel stuff from /lib
rm $RPM_BUILD_ROOT/%_lib/libhandle.{so,a,la}
rm $RPM_BUILD_ROOT/%_libdir/libhandle.so
# move things to usr
mv $RPM_BUILD_ROOT/sbin/* $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT/%_lib/* $RPM_BUILD_ROOT%{_libdir}
#UsrMerge
ln -s %{_sbindir}/{fsck.xfs,mkfs.xfs,xfs_repair} $RPM_BUILD_ROOT/sbin
#EndUserMerge
pushd $RPM_BUILD_ROOT%_libdir
	ln -s libhandle.so.[0-9] libhandle.so
popd
chmod 755 $RPM_BUILD_ROOT/%_sbindir/fsck.xfs
%find_lang %name

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root,755)
#UsrMerge
/sbin/*
#EndUsrMerge
%_sbindir/*
# this is only used by xfs cmds, therefore no urgent need for a shlib package
%_libdir/libhandle.so.*
%doc /usr/share/man/man[58]/*
%doc %_defaultdocdir/%name

%files devel
%defattr(-,root,root,755)
%_includedir/xfs
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
/usr/share/man/man3/*

%changelog
